Konica Minolta Bizhub 164 Driver for Ubuntu.

Asked by Frank Ickstadt

Hello everyone. I am a newbie to Linux, particularly Ubuntu. Does anybody know about a driver for Konica Minolta Bizhub 164 for Ubuntu? I need it badly. Please help me. Thanks. God bless.

reyargee

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
John K
Solved:
Last query:
Last reply:
Revision history for this message
Alan Pope 🍺🐧🐱 🦄 (popey) said :
#1

The KonicaMinolta driver is already in Ubuntu and supports the 2300DL and 2430DL as far as I can tell. The Pagepro 1200W, 1250W, 1300W, 1350W and 1400W all also seem supported.

At a guess I would suggest you file a bug against the foomatic-db package which contains the linuxprinting.org support database. You can do that here:-

https://bugs.launchpad.net/distros/ubuntu/+source/foomatic-db/+bugs

I'd report a bug and paste what you have put here in there.

Revision history for this message
Best John K (johnk-tomaatnet) said :
#2

Does anybody know if how to install my Konica Minolta 5430 DL under Ubuntu?

Revision history for this message
Mark Thompson (mark-r-thompson) said :
#3

Konica themselves seem to provide a Linux driver for the Konoca magicolor 5430 DL. See there website http://printer.konicaminolta.com/support/current_printers/mc5430dl_sup.htm for the Linux driver.

It appears the the one provided by Konica is a rpm and not a deb install file. So see See https://help.ubuntu.com/community/RPM/AlienHowto for how to convert from .rpm to .deb and install the driver.

Not tried it for the 5430DL printer, but the process for installing alien printer worked for the the m2300w when I was using the previous version of Ubuntu.

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#4

Thanks John K, that solved my question.

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#5

Hi John,

sorry touched the wrong button.

Olease have a look to:
http://wiki.nightlabs.de/en/Linux:Printers_and_Kubuntu_6.06

A member of our local Linux User Group created a Ubuntu package out of the patched 1.8.9 linuxprinting.org source. I'm using this package by myself on Ubuntu (not Kubuntu) 6.10 and 7.04.

regards,

Frank

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#6

additional obe correction:

The source version is: 1.8.0
and NOT 1.8.9

Frank

Revision history for this message
John K (johnk-tomaatnet) said :
#7

I,v got the lataes download from this site; http://wiki.nightlabs.de/en/Linux:Printers_and_Kubuntu_6.06 , but after I install it with GDEbi followed by sudo /etc/init.d/cupsys restart , I can not use the printer anymore. When I try to install my- magicolor5430dl_1.7.0-2_i386.deb - again, Packageinstaller says " Error: a later version is already installed"

Cups Drivers for KONICA MINOLTA magicolor 5430 DL
This package contains KONICA MINOLTA CUPS LavaFlow stream(PCL-like) filter rastertokm5430dl and the PPD file. The filter converts CUPS raster data to KONICA MINOLTA LavaFlow stream, it uses jbig for compression and littleCMS for colormatching. For latest version of this package and source code, please check Website http://printer.konicaminolta.net/.
(Converted from a rpm package by alien version 8.64.)

./
usr/
usr/share/
usr/share/doc/
usr/share/doc/magicolor5430dl/
usr/share/doc/magicolor5430dl/copyright
usr/share/doc/magicolor5430dl/changelog.Debian.gz
usr/share/KONICA_MINOLTA/
usr/share/KONICA_MINOLTA/mc5430DL/
usr/share/KONICA_MINOLTA/mc5430DL/COPYING
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_00.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_01.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_02.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_03.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_10.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_11.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_12.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_13.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_20.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_21.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_22.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Halftones/km_ht_23.bmp
usr/share/KONICA_MINOLTA/mc5430DL/Profiles/
usr/share/KONICA_MINOLTA/mc5430DL/Profiles/km_0.icm
usr/share/KONICA_MINOLTA/mc5430DL/Profiles/km_1.icm
usr/share/KONICA_MINOLTA/mc5430DL/Profiles/km_2.icm
usr/share/cups/
usr/share/cups/model/
usr/share/cups/model/KONICA_MINOLTA/
usr/share/cups/model/KONICA_MINOLTA/km5430dl.ppd.gz
usr/lib/
usr/lib/cups/
usr/lib/cups/filter/
usr/lib/cups/filter/rastertokm5430dl

What do I do wrong installing this - magicolor5430dl_1.8.0-2_i386.deb - from http://wiki.nightlabs.de/en/Linux:Printers_and_Kubuntu_6.06

Should I go back installing my 'old' driver - magicolor5430dl_1.7.0-2_i386.deb - ??? How do I get the magicolor5430dl_1.8.0-2_i386.deb out of the printdrivermodels list?

I am using Ubuntu Dapper Drake.

Grretings John

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#8

Hi John,

I don't know GDEbi I've installed the package using synaptic and everything was OK.

what is the result if you run on a command line:
dpkg --get-selections | grep magicolor

If you want to remove a package try using synaptic or following:
dpkg -r magicolor5430dl
The string behind -r should match the result from the dpkg --get-selections command above.

after the package is removed you can reinstall the old 1.7 driver. Or you give the 1.8 version a try again, but using synaptic for installation. A dpkg -i magicolor5430dl_1.8.0-2_i386.deb should work, too

regards,

Frank

Revision history for this message
John K (johnk-tomaatnet) said :
#9

Frank,

My printer does not wasnt to listen to the nwe driver! When I install the old driver the printer works o.k. But I understand that the new driver should have solved some problems. Can you, or someone else, help me to make it work? Is the .deb file o.k?

Greetings John

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#10

Hi John,

maybe the your deb file is corrupted and you have to download it again. Please try to execute following command in a shell:
dpkg-deb --info magicolor5430dl_1.8.0-2_i386.deb
this should show some information about the package itself.

regards,

Frank

Revision history for this message
John K (johnk-tomaatnet) said :
#11

Frank,

This is the result. Can you see anything wrong?

~$ dpkg-deb --info magicolor5430dl_1.8.0-2_i386.deb
 new debian package, version 2.0.
 size 358384 bytes: control archive= 313 bytes.
     401 bytes, 9 lines control
 Package: magicolor5430dl
 Priority: extra
 Section: checkinstall
 Installed-Size: 868
 Maintainer: <email address hidden>
 Architecture: i386
 Version: 1.8.0-2
 Depends:
 Description: CUPS Driver for Magicolor 5430DL

John

Revision history for this message
John K (johnk-tomaatnet) said :
#12

ASfter I install the driver, in wich way I should choose teh printer in Printerinstall?

Tanks, John

Revision history for this message
Frank Ickstadt (frank-ickstadt) said :
#13

John,

your first email shows that the package isn't currupted.

To use the new printer driver you have to configure CUPS after driver installation.

regards,

Frank

Revision history for this message
Mantas Kriaučiūnas (mantas) said :
#14

It seems Konica Minolta doesn't care about Linux, so instead of buying unsupported Bizhub 164 I bought excellent Xerox workcentre 5016/5020 - Xerox supports Linux officially, I just downloaded drivers in .deb format from http://www.support.xerox.com/support/workcentre-5016/downloads/enza.html?operatingSystem=linux
then in printer hardware device (not in Ubuntu settings) changed paper format to A4 instead of A4L in printer (or vice versa, I don't remember now, see http://unixforum.org/index.php?showtopic=115294 ) and now I'm printing and scanning without problems :)